Package com.google.android.exoplayer2.text.webvtt

## Class WebvttCueInfo

- java.lang.Object
- - com.google.android.exoplayer2.text.webvtt.WebvttCueInfo

-     public final class WebvttCueInfo
      extends Object

  A representation of a WebVTT cue.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Cue` | `cue` |
    `long` | `endTimeUs` |
    `long` | `startTimeUs` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WebvttCueInfo​(Cue cue, long startTimeUs, long endTimeUs)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cue

          public final Cue cue

    - #### startTimeUs

          public final long startTimeUs

    - #### endTimeUs

          public final long endTimeUs

  - ### Constructor Detail

    - #### WebvttCueInfo

          public WebvttCueInfo​(Cue cue,
                               long startTimeUs,
                               long endTimeUs)